/// <reference types="node" />
import { EventEmitter } from 'events';
import { AdapterManager, FrameworkAdapter } from './adapter-manager';
import { AdaptersSDKOptions } from './index';
import { AdapterConfig, Middleware } from './types';
/**
 * Enhanced Framework Adapters SDK with integrations
 */
export declare class FrameworkAdaptersSDK extends EventEmitter {
    private adapters;
    private manager;
    private eventBus?;
    private logger?;
    private cache?;
    private config?;
    private security?;
    private realtime?;
    private options;
    constructor(options?: AdaptersSDKOptions);
    initialize(): Promise<void>;
    createAdapter(name: string, config: AdapterConfig): FrameworkAdapter;
    createMiddleware(type: string, options?: Record<string, unknown>): Middleware;
    private createCachedRateLimitMiddleware;
    private createEnhancedSecurityMiddleware;
    private enhanceConfigWithIntegrations;
    private setupAdapterEventForwarding;
    private setupManagerEventForwarding;
    private subscribeToExternalEvents;
    private setupRealtimeSupport;
    private handleGatewayRequest;
    private handleConfigUpdate;
    private emitEvent;
    private log;
    getAdapter(name: string): FrameworkAdapter | undefined;
    getAllAdapters(): Map<string, FrameworkAdapter>;
    getManager(): AdapterManager;
    destroy(): Promise<void>;
}
//# sourceMappingURL=framework-adapters-sdk.d.ts.map